%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-nltk
Version:        1.4.2
Release:        1%{?dist}
Summary:        Natural Language Toolkit

Group:          Development/Libraries
License:        GPL
URL:            http://nltk.sf.net/
Source0:        http://dl.sourceforge.net/nltk/nltk-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:  python
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:	python-numeric, tkinter

%description
The Natural Language Toolkit is a Python package that simplifies the
construction of programs that process natural language, and defines standard
interfaces between the different components of an NLP system.


%prep
%setup -q -n nltk-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG.TXT LICENSE.TXT README.TXT
%dir %{python_sitelib}/nltk
%dir %{python_sitelib}/nltk/classifier
%dir %{python_sitelib}/nltk/clusterer
%dir %{python_sitelib}/nltk/corpus
%dir %{python_sitelib}/nltk/draw
%dir %{python_sitelib}/nltk/feature
%dir %{python_sitelib}/nltk/hmm
%dir %{python_sitelib}/nltk/parser
%dir %{python_sitelib}/nltk/stemmer
%dir %{python_sitelib}/nltk/tagger
%dir %{python_sitelib}/nltk/test
%dir %{python_sitelib}/nltk/tokenizer
%dir %{python_sitelib}/nltk/tokenreader
%{python_sitelib}/nltk/*.py
%{python_sitelib}/nltk/*.pyc
%{python_sitelib}/nltk/*/*.py
%{python_sitelib}/nltk/*/*.pyc
%ghost %{python_sitelib}/nltk/*.pyo
%ghost %{python_sitelib}/nltk/*/*.pyo


%changelog
* Mon Feb  6 2006 Michel Salim <michel.salim@gmail.com> - 1.4.2-1
- Downgrade to 1.4.2 for FC3 only, to match older version of Python installed

* Sun Sep 11 2005 Michel Salim <michel.salim@gmail.com> - 1.4.4-1
- Initial package
